framework:
  secret: fos
  router:
    resource: "%kernel.root_dir%/config/routing.yml"
  test: ~
  session:
    storage_id:  session.test_storage

fos_http_cache:
  cache_control:
    rules:
      -
        match:
          path: ^/cached
        headers:
          cache_control: {public: true}
  proxy_client:
    varnish:
      servers: 127.0.0.1
      base_url: localhost:8080
  tags:
    rules:
      -
        match:
          path: ^/cached
        tags: [area]
        tag_expressions: ["'area-'~id"]
  user_context:
    user_identifier_headers:
      - Cookie
      - Authorization
    role_provider: ~
  test:
    proxy_server:
      varnish:
        config_file: varnish.vcl

monolog:
  handlers:
    main:
      type: stream
      level: debug

security:
  providers:
    in_memory:
      memory:
        users:
          user:  { password: user, roles: 'ROLE_USER' }
  encoders:
    Symfony\Component\Security\Core\User\User: plaintext
  firewalls:
    secured_area:
      pattern:    ^/secured_area
      anonymous:
      logout:
        path:     /secured_area/logout
        handlers:
          - fos_http_cache.user_context.logout_handler
